/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package test.performance.invocationhandler;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Suite of performance tests for MBeanServerInvocationHandler.
 *
 * @author  <a href="mailto:Adrian.Brock@HappeningTimes.org">Adrian Brock</a>.
 * @version $Revision: 1.3 $  
 */
public class InvocationHandlerSUITE extends TestSuite
{
   public static void main(String[] args)
   {
      junit.textui.TestRunner.run(suite());
   }

   public static Test suite()
   {
      TestSuite suite = new TestSuite("Performance tests for MBeanServerInvocationHandler");
      
      suite.addTest(new TestSuite(ThroughputTEST.class));
      
      return suite;
   }

}
